<?php
/**
 * The template for displaying posts with no or standard format
 */
if (!defined('ABSPATH')) {
    exit();
}
?>

<div <?php
if (is_sticky()) {
    post_class('sticky');
} else {
    post_class();
}
?>>

    <?php if (has_post_thumbnail()) { ?>	
        <a href="<?php the_permalink(); ?>" class="post-thumbnail">
            <?php the_post_thumbnail(); ?>
        </a>
    <?php } ?>

    <div class="post-header">							

        <span class="posted-on"><?php echo get_the_date('M. d, Y'); ?></span>

        <h3 class="post-title"><a rel="bookmark" href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>

        <span class="byline"><?php echo get_the_author(); ?></span>
        <?php if( has_tag() ){ ?><span class="tags-links"><?php echo the_tags(''); ?></span><?php } ?>
        <span class="comments-link"><a title="<?php esc_html_e('Comment on Post ', 'kepler-wp'); ?>" href="<?php comments_link(); ?>"><?php esc_html_e('Leave a comment', 'kepler-wp'); ?></a></span>	
    </div><!-- .post-header -->
    <div class="post-content">

        <?php the_content(); ?>
    </div><!-- .post-content -->
    <div class="post-footer">																								

    </div><!-- .post-footer -->

</div>